Bug 336701 - RFE : cURL 7.17.0 is available
RFE : cURL 7.17.0 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
http://curl.haxx.se/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-17 16:43 EDT by Rasmus Ory Nielsen
Modified: 2013-07-02 19:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-18 11:46:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
forwardported NSS patch, just in case you want to give it a try. (21.39 KB, patch)
2007-10-24 07:39 EDT, Jindrich Novy
no flags Details | Diff

  None (edit)
Description Rasmus Ory Nielsen 2007-10-17 16:43:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; da-DK; rv:1.8.1.5) Gecko/20070718 Fedora/2.0.0.5-1.fc7 Firefox/2.0.0.5

Description of problem:
According to the cURL homepage (http://curl.haxx.se/) there is a new
stable version (7.17.0) of cURL available.

A side note:
Curlftpfs has some problems with curl 7.16.4. Here is a quote from the developer of curlftpfs:
"Also, you don't want to use curl 7.16.4 nor 7.16.3. They both have bugs
that crash the library. The safe versions are 7.16.2 or 7.17.0."
(http://sourceforge.net/tracker/index.php?func=detail&aid=1793785&group_id=160565&atid=816357)

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Check out http://curl.haxx.se/
2. Check out Fedora Core Development

Actual Results:
curl-7.16.4

Expected Results:
curl-7.17.0

Additional info:
Comment 1 Jindrich Novy 2007-10-24 07:38:41 EDT
Yes, I'm aware of that, but I have problems forwardporting the NSS patch for
7.17.0 (curl dies with double free corruption while closing socket) what
prevents me from doing the update.
Comment 2 Jindrich Novy 2007-10-24 07:39:54 EDT
Created attachment 236101 [details]
forwardported NSS patch, just in case you want to give it a try.
Comment 3 Daniel Stenberg 2007-10-29 18:00:28 EDT
I believe a better version of that patch is what went in upstream and is now
included in the just released curl and libcurl 7.17.1...
Comment 4 Jindrich Novy 2007-11-18 11:46:30 EST
curl is now updated in rawhide to 7.17.1.
Comment 5 Rasmus Ory Nielsen 2007-11-18 12:04:24 EST
Great. Thanks!

Note You need to log in before you can comment on or make changes to this bug.